Bug 835799 - [engine-iso-uploader] - command rhevm-iso-uploader -v gives exception ("A valid command was not specified.")
[engine-iso-uploader] - command rhevm-iso-uploader -v gives exception ("A val...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-iso-uploader (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Keith Robertson
Pavel Stehlik
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 03:15 EDT by David Botzer
Modified: 2016-07-03 21:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-06-27 03:15:21 EDT
Description of problem:
the command rhevm-iso-uploader -v gives exception

Version-Release number of selected component (if applicable):
3.1/si7

How reproducible:
always

Steps to Reproduce:
1.run command rhevm-iso-uploader -v
  
Actual results:
Gives exception

Expected results:
should not give this exception, nor DEBUG messages

A proper message should display A valid command was not specified + correct syntax 

Additional info:

DEBUG: Configuration:
DEBUG: command: None
DEBUG: Traceback (most recent call last):
DEBUG:   File "/usr/bin/rhevm-iso-uploader", line 930, in <module>
DEBUG:     isoup = ISOUploader(conf)
DEBUG:   File "/usr/bin/rhevm-iso-uploader", line 334, in __init__
DEBUG:     raise Exception(_("A valid command was not specified."))
DEBUG: Exception: A valid command was not specified
Comment 1 Itamar Heim 2013-02-25 02:25:36 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.